<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="AppTheme" parent="AppBaseTheme" />

    <style name="AppTheme.Launcher" parent="AppTheme">
        <item name="android:statusBarColor">@android:color/transparent</item>
        <item name="android:windowBackground">@drawable/splashscreen_logo</item>
    </style>

    <!-- Base application theme. -->
    <style name="AppBaseTheme" parent="Theme.AppCompat.DayNight.NoActionBar">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="alertDialogTheme">@style/AppAlertDialogTheme</item>
        <item name="preferenceTheme">@style/AppPreferenceTheme</item>
    </style>

    <style name="AppMediaThemeV21" parent="AppTheme">
        <item name="android:textColorPrimary">@color/translucent_white</item>
        <item name="android:windowTranslucentStatus">true</item>
        <item name="colorControlNormal">@color/translucent_white</item>
    </style>

    <style name="AppMediaTheme" parent="AppMediaThemeV21" />

    <style name="AppAlertDialogTheme" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
    </style>

    <style name="AppPreferenceTheme" parent="PreferenceThemeOverlay.v14.Material" />

    <style name="AppTitleTextAppearanceBase" parent="@style/TextAppearance.AppCompat.Subhead">
        <item name="android:textSize">15sp</item>
    </style>

    <style name="AppTitleTextAppearance" parent="@style/AppTitleTextAppearanceBase" />

    <style name="MiniControllerTitleTextAppearance" parent="@style/AppTitleTextAppearanceBase" />

    <style name="DisplayModeTextView" parent="android:TextAppearance.Small">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="SortModeTextView" parent="android:TextAppearance.Small">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="DiscreteSeekbarIndicatorTextAppearance" parent="android:TextAppearance.Small">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="SeekbarTimeView">
        <item name="android:fontFamily">@font/roboto_medium</item>
        <item name="android:textColor">@color/expanded_controller_primary_tint</item>
        <item name="android:textSize">14sp</item>
    </style>

    <style name="MediaItem">
        <item name="android:textSize">12sp</item>
    </style>

    <style name="MediaItem.Title">
        <item name="android:ellipsize">end</item>
        <item name="android:maxLines">2</item>
        <item name="android:textColor">?android:attr/textColorPrimary</item>
        <item name="android:textSize">13sp</item>
    </style>

    <style name="MediaItem.Duration">
        <item name="android:background">@color/media_duration_background</item>
        <item name="android:layout_margin">5dp</item>
        <item name="android:paddingBottom">2dp</item>
        <item name="android:paddingEnd">5dp</item>
        <item name="android:paddingStart">5dp</item>
        <item name="android:paddingTop">1dp</item>
        <item name="android:textColor">@color/media_duration_text_color</item>
    </style>

    <style name="MediaItem.DateModified">
        <item name="android:ellipsize">end</item>
        <item name="android:maxLines">1</item>
        <item name="android:paddingTop">4dp</item>
        <item name="android:textColor">?android:attr/textColorSecondary</item>
    </style>
</resources>
